Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.aspectj.flow.construction
Class AbstractAspect

    java.lang.Object
      kieker.monitoring.probe.aspectj.AbstractAspectJProbe
          kieker.monitoring.probe.aspectj.flow.construction.AbstractAspect

All Implemented Interfaces:
  IMonitoringProbe

Direct Known Subclasses:
  Annotation, FullInstrumentation

    public abstract class AbstractAspect

extends AbstractAspectJProbe

Since:
  1.5
Author:
  Jan Waller

Constructor Summary
`AbstractAspect()`

Method Summary
`void` | `afterConstruction(Object thisObject, org.aspectj.lang.JoinPoint.StaticPart jp)` This is an advice which will be used after the construction of an object.
`abstract void` | `monitoredConstructor()` The pointcut for the monitored constructors.

Methods inherited from class kieker.monitoring.probe.aspectj.AbstractAspectJProbe
`getter, noGetterAndSetter, notWithinKieker, setter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAspect

    public AbstractAspect()

Method Detail

### monitoredConstructor

    public abstract void monitoredConstructor()

  The pointcut for the monitored constructors. Inheriting classes should extend the pointcut in order to find the correct constructors (e.g. all constructors or only constructors with specific annotations).

### afterConstruction

    public void afterConstruction(Object thisObject,
                                  org.aspectj.lang.JoinPoint.StaticPart jp)

  This is an advice which will be used after the construction of an object.

  Parameters:
    `thisObject` -
    `jp` - The static information about this joint point.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net